Subject: bug#38088: Guix system becomes unresponsive after backtrace

From: Gábor Boskovits <[email-masked]>
Date: Wed, 6 Nov 2019 23:42:30 +0100

Danny Milosavljevic <[email-masked]> ezt írta (időpont: 2019.
nov. 6., Sze, 16:52):
>
> Hi Gábor,
>
> On Wed, 6 Nov 2019 15:15:41 +0100
> Gábor Boskovits <[email-masked]> wrote:
>
> > This happened when I was trying a pre-inst-env guix build from a
> > core-updates checkout.
> > Previously python3 failed to build, and I was trying to build it again.
>
> Hmm, sounds like disk corruption.  If there's a sudden read-only appearing then
> it's often because the kernel found a file system error and doesn't want to make
> the situation worse.  It then remounts the affected file-system read-only.
> According to the top of your screenshot, even /tmp is read-only.  I think we
> don't use a tmpfs, so that's the root file system.

I also believe it was the root filesystem.

>
> Could you check dmesg for signs?

I believe the dmesg info was lost on force-restart. Logs contain nothing....

Regards,
g_bor
-- 
OpenPGP Key Fingerprint: 7988:3B9F:7D6A:4DBF:3719:0367:2506:A96C:CF63:0B21